Bug 1026867 - [Usability] It is not clear what the web metrics mean in the Web Console UI [NEEDINFO]
[Usability] It is not clear what the web metrics mean in the Web Console UI
Status: VERIFIED
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity medium
: CR1
: EAP 6.4.0
Assigned To: Heiko Braun
Pavel Jelinek
Usability
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 09:48 EST by Radim Hatlapatka
Modified: 2017-10-09 20:25 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-09 07:38:06 EDT
Type: Task
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pjelinek: needinfo? (hbraun)


Attachments (Terms of Use)

  None (edit)
Description Radim Hatlapatka 2013-11-05 09:48:33 EST
In Runtime - Web subsystem there are shown metrics and it is not very clear what they mean. There should be added explanatory mark explaining what they mean. 

Plus as the values can be hard to read from the graph in front of the graph it would be nice to have shown exact numbers (counts).

First one X% Errors is relatively clear (error requests vs all requests in %)

Second one % Processing Time is not clear, (I guess it has something with processingTime attribute of the connector but I have now idea what it is supposed to be compared with) 

Third one X% Max Time - here I guess the main value is connector attribute maxTime but again I don't know what is supposed to be the second value it is being compared with


Additional information
Connector attributes values including runtime can be displayed via CLI command: /subsystem=web/connector=http:read-resource(include-runtime=true)
Comment 2 Heiko Braun 2014-07-09 07:38:06 EDT
In agreement with Catherine we've decided that UX issues will be tracked separately.
Comment 3 Jakub Cechacek 2014-07-21 02:21:32 EDT
Issue moved under the UX component. 

Also moved to 6.4 as this issue is still valid for 6.3. Use ack flags to decide whether we want to go through with it or not.
Comment 4 Heiko Braun 2014-08-25 09:44:16 EDT
Right, these charts are bogus. We replace them with meaningful information.
Comment 5 Pavel Jelinek 2014-11-26 04:30:36 EST
Should this still remain in POST state?
Comment 6 mkrajcov 2015-03-25 04:18:45 EDT
Metrics in web subsystem are clear and well-readable in 6.4.0.CR1

Note You need to log in before you can comment on or make changes to this bug.